# -------------------------------------------------- Build Arguments ---------------------------------------------------
ARG CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX
ARG ALPINE_VERSION="3"
ARG LOCAL_PHP_SECURITY_CHECKER_VERSION="1.2.0"
ARG CURL_VERSION="7.80.0-r0"

FROM ${CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX}/alpine:${ALPINE_VERSION}

# ----------------------------------------- Installe local-php-sceurity-checker ----------------------------------------

ARG LOCAL_PHP_SECURITY_CHECKER_VERSION
ARG CURL_VERSION

RUN apk add --no-cache --update curl="${CURL_VERSION}" \
    && curl -L -o /usr/bin/local-php-security-checker "https://github.com/fabpot/local-php-security-checker/releases/download/v${LOCAL_PHP_SECURITY_CHECKER_VERSION}/local-php-security-checker_${LOCAL_PHP_SECURITY_CHECKER_VERSION}_linux_amd64" \
    && chmod u+x /usr/bin/local-php-security-checker
